Index: src/main/java/com/example/moviezone/model/procedures/FilmsReturnTable.java
===================================================================
--- src/main/java/com/example/moviezone/model/procedures/FilmsReturnTable.java	(revision cb5debb62d76cbd6bf309c47e80c6ca4e9573bbb)
+++ src/main/java/com/example/moviezone/model/procedures/FilmsReturnTable.java	(revision 8d49568b45934c7dcbd70459d458916e4faa5ef0)
@@ -18,3 +18,15 @@
         this.name = name;
     }
+
+    public Integer getId_film() {
+        return id_film;
+    }
+
+    public LocalDate getStart_date() {
+        return start_date;
+    }
+
+    public String getName() {
+        return name;
+    }
 }
Index: src/main/java/com/example/moviezone/repository/FilmRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/FilmRepository.java	(revision cb5debb62d76cbd6bf309c47e80c6ca4e9573bbb)
+++ src/main/java/com/example/moviezone/repository/FilmRepository.java	(revision 8d49568b45934c7dcbd70459d458916e4faa5ef0)
@@ -7,6 +7,7 @@
 import org.springframework.data.repository.query.Param;
 
+import javax.transaction.Transactional;
 import java.util.List;
-
+@Transactional
 public interface FilmRepository extends JpaRepository<Film,Integer> {
     @Procedure("project.getFilmsFromCinema")
Index: src/main/java/com/example/moviezone/service/FilmService.java
===================================================================
--- src/main/java/com/example/moviezone/service/FilmService.java	(revision cb5debb62d76cbd6bf309c47e80c6ca4e9573bbb)
+++ src/main/java/com/example/moviezone/service/FilmService.java	(revision 8d49568b45934c7dcbd70459d458916e4faa5ef0)
@@ -2,4 +2,5 @@
 
 import com.example.moviezone.model.Film;
+import com.example.moviezone.model.procedures.FilmsReturnTable;
 
 import java.time.LocalDate;
@@ -12,3 +13,4 @@
               String age_category, String url, String director, LocalDate start_date,LocalDate end_date);
     Optional<Film> getFilmById(Long id);
+    List<FilmsReturnTable> getFilmsFromCinema(int id);
 }
Index: src/main/java/com/example/moviezone/service/Impl/FilmServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/FilmServiceImpl.java	(revision cb5debb62d76cbd6bf309c47e80c6ca4e9573bbb)
+++ src/main/java/com/example/moviezone/service/Impl/FilmServiceImpl.java	(revision 8d49568b45934c7dcbd70459d458916e4faa5ef0)
@@ -2,4 +2,5 @@
 
 import com.example.moviezone.model.Film;
+import com.example.moviezone.model.procedures.FilmsReturnTable;
 import com.example.moviezone.repository.FilmRepository;
 import com.example.moviezone.service.FilmService;
@@ -34,3 +35,8 @@
     }
 
+    @Override
+    public List<FilmsReturnTable> getFilmsFromCinema(int id) {
+        return filmRepository.getFilmsFromCinema(id);
+    }
+
 }
Index: src/main/java/com/example/moviezone/web/HomeController.java
===================================================================
--- src/main/java/com/example/moviezone/web/HomeController.java	(revision cb5debb62d76cbd6bf309c47e80c6ca4e9573bbb)
+++ src/main/java/com/example/moviezone/web/HomeController.java	(revision 8d49568b45934c7dcbd70459d458916e4faa5ef0)
@@ -4,6 +4,10 @@
 import com.example.moviezone.model.*;
 import com.example.moviezone.model.exceptions.PasswordsDoNotMatchException;
+
 import com.example.moviezone.model.manytomany.ProjectionIsPlayedInRoom;
 import com.example.moviezone.repository.ProjectionIsPlayedInRoomRepository;
+
+import com.example.moviezone.model.procedures.FilmsReturnTable;
+
 import com.example.moviezone.service.*;
 import org.springframework.format.annotation.DateTimeFormat;
@@ -14,4 +18,5 @@
 import javax.servlet.http.HttpSession;
 import java.time.LocalDate;
+import java.util.LinkedList;
 import java.util.List;
 import java.util.stream.Collectors;
@@ -35,5 +40,5 @@
 
     public HomeController(FilmService filmService, UserService userService, ProjectionService projectionService, EventService eventService, TicketService ticketService, WorkerService workerService, CustomerRatesFilmService customerRatesFilmService, CinemaService cinemaService, CinemaOrganizesEventService cinemaOrganizesEventService, CinemaPlaysFilmService cinemaPlaysFilmService, ProjectionIsPlayedInRoomRepository projectionIsPlayedInRoomRepository) {
-        
+
         this.filmService = filmService;
         this.userService = userService;
@@ -127,13 +132,31 @@
 
     }
-
     @GetMapping("/films")
     public String getFilmsPage(Model model){
         model.addAttribute("cinemas",cinemaService.findAllCinemas());
-        model.addAttribute("films",filmService.findAllFilms());
+            List<FilmsReturnTable> pom=new LinkedList<>();
+            model.addAttribute("films",pom);
+            boolean h=pom.isEmpty();
+            List<FilmsReturnTable> help=filmService.getFilmsFromCinema(2);
         model.addAttribute("bodyContent","films");
         return "master-template";
     }
 
+    public String getFilmsPage1(Model model,Integer id_cinema){
+        model.addAttribute("cinemas",cinemaService.findAllCinemas());
+        if (id_cinema!=null) {
+            model.addAttribute("films",filmService.getFilmsFromCinema(id_cinema.intValue()));
+        }else{
+            List<FilmsReturnTable> pom=new LinkedList<>();
+            model.addAttribute("films",pom);
+        }
+
+        model.addAttribute("bodyContent","films");
+        return "master-template";
+    }
+    @PostMapping("/getFilmsFromCinema")
+    public String getFilmsFromCinema(@RequestParam Integer cinema, Model model){
+        return getFilmsPage1(model,cinema);
+    }
     @GetMapping("/projections")
     public String getProjectionsPage(Model model)
